# CommonLimiter - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.bot.settings.limiters / CommonLimiter

# CommonLimiter

(common) `class CommonLimiter : RequestLimiter` (source)

### Constructors

(common)

#### <init>

`CommonLimiter(lockCount: Int = 10, regenTime: Long = 20 * 1000L)`

### Functions

(common)

#### limit

Use limit for working of block (like delay between or after, for example)

`suspend fun <T> limit(block: suspend () -> T): T`